<template>
  <button class="base-button" :disabled="disabled" @click="onClick">
    <span class="fs-700 content">
      <slot></slot>
    </span>
  </button>
</template>
<script>
export default {
  name: "BaseButton",
  props: {
    disabled: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="scss" scoped>
.base-button {
  cursor: pointer;
  border: 0;
  border-radius: 15px;
  color: var(--clr-dark-navy);
  display: block;
  font-weight: 700;
  padding: 1.2rem;
  text-align: center;
  .content {
    line-height: 1;
  }
}
button:disabled,
button[disabled] {
  opacity: 25%;
}
</style>
